﻿
@model Shams.Elements.Catalog.EralTek.Models.Domain.Product
@{
    ViewData["Title"] = Model.Title;
}
@section Styles{
    <link href="~/css/urun.css" rel="stylesheet" asp-append-version="true" />
    <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />
}
<div class="card">
    <div class="container-fliud">
        <div class="wrapper row">
            <div class="preview col-md-6">
                <div class="preview-pic tab-content">

                    @if (Model.ProductImages == null || !Model.ProductImages.Any())
                    {
                        <div class="tab-pane active" role="tabpanel" id="no-image"><img src="/images/resim-yok.png" /></div>

                    }


                    @foreach (var image in Model.ProductImages)
                    {
                        <div class="tab-pane @(image.Image == Model.MainImage ?"active":"")" id="pic-@image.Id"><img src="@image.Image" /></div>
                    }
                    @*<div class="tab-pane" id="pic-2"><img src="http://placekitten.com/400/252" /></div>
        <div class="tab-pane" id="pic-3"><img src="http://placekitten.com/400/252" /></div>
        <div class="tab-pane" id="pic-4"><img src="http://placekitten.com/400/252" /></div>
        <div class="tab-pane" id="pic-5"><img src="http://placekitten.com/400/252" /></div>*@
                </div>
                <ul class="preview-thumbnail nav nav-tabs">

                    @if (Model.ProductImages == null || !Model.ProductImages.Any())
                    {
                        <li class="active">
                            <a data-target="#no-image" data-toggle="tab"><img src="/images/resim-yok.png" /></a>
                        </li>

                    }
                    @foreach (var image in Model.ProductImages)
                    {
                        <li class="@(image.Image == Model.MainImage ?"active":"")"><a data-target="#pic-@image.Id" data-toggle="tab"><img src="@image.Image" /></a></li>

                    }
                    @*<li class="active"><a data-target="#pic-1" data-toggle="tab"><img src="http://placekitten.com/200/126" /></a></li>
        <li><a data-target="#pic-2" data-toggle="tab"><img src="http://placekitten.com/200/126" /></a></li>
        <li><a data-target="#pic-3" data-toggle="tab"><img src="http://placekitten.com/200/126" /></a></li>
        <li><a data-target="#pic-4" data-toggle="tab"><img src="http://placekitten.com/200/126" /></a></li>
        <li><a data-target="#pic-5" data-toggle="tab"><img src="http://placekitten.com/200/126" /></a></li>*@
                </ul>


                @*<div class="preview-pic tab-content">
                        @if (Model.ProductImages == null || !Model.ProductImages.Any())
                        {
                            <div class="tab-pane active" role="tabpanel" id="no-image"><img src="/images/resim-yok.png" /></div>

                        }
                        @foreach (var image in Model.ProductImages)
                        {
                            <div class="tab-pane @(image.Image == Model.MainImage ?"active":"")" id="@image.Id">
                                <img src="@image.Image" />
                            </div>
                        }

                    </div>
                    <ul class="preview-thumbnail nav nav-tabs">
                        @if (Model.ProductImages == null || !Model.ProductImages.Any())
                        {
                            <li class="active">
                                <a data-target="#no-image" data-toggle="tab"><img src="/images/resim-yok.png" /></a>
                            </li>

                        }

                        @foreach (var image in Model.ProductImages)
                        {
                            <li class="@(image.Image == Model.MainImage ?"active":"")">
                                <a href="#@image.Id" data-target="#@image.Id" data-toggle="tab"><img src="@image.Image" /></a>
                            </li>
                        }
                    </ul>*@

            </div>
            <div class="details col-md-6 border-left">
                <h3 class="product-title">@Model.Title</h3>
                @if (!string.IsNullOrEmpty(Model.SubTitle))
                {
                    <h6 class="product-title">@Model.SubTitle</h6>
                }
                <table class="table table-sm table-hover table-striped font-size-2">
                    <tbody>
                        @if (!string.IsNullOrEmpty(Model.Code))
                        {
                            <tr>
                                <td width="40%">
                                    <span class="font-weight-bolder">Ürün Kodu</span>
                                </td>
                                <td width="60%">
                                    @Model.Code

                                </td>
                            </tr>
                        }
                        @if (!string.IsNullOrEmpty(Model.BrandName))
                        {
                            <tr>
                                <td>
                                    <span class="font-weight-bolder">Marka</span>
                                </td>
                                <td>
                                    @Model.BrandName
                                </td>
                            </tr>
                        }
                        @if (!string.IsNullOrEmpty(Model.ManufacturerCode))
                        {
                            <tr>
                                <td>
                                    <span class="font-weight-bolder">Üretici Kodu</span>
                                </td>
                                <td>
                                    @Model.ManufacturerCode
                                </td>
                            </tr>
                        }

                    </tbody>
                </table>


                @if (Model.ProductExtraInfos != null && Model.ProductExtraInfos.Any())
                {
                    <br />
                    <h5 class="mt-2  text-success">Bu Ürünü Kullanan Yazıcı Modelleri</h5>

                    @foreach (var item in Model.ProductExtraInfos)
                    {


                        <div class="row">
                            <div class="col-12">

                                <div class="product-extra-info font-size-2">

                                    @if (!string.IsNullOrEmpty(item.Value))
                                    {
                                        <span class="font-weight-bold mr-2">Marka :</span> <span>@item.Value</span>
                                    }
                                    @if (!string.IsNullOrEmpty(item.Value1))
                                    {
                                        <span class="font-weight-bold mr-2">Kodu :</span> <span>@item.Value1</span>
                                    }
                                    @if (!string.IsNullOrEmpty(item.Value2))
                                    {
                                        <span class="font-weight-bold mr-2">Adı :</span> <span>@item.Value2</span>
                                    }
                                </div>

                            </div>
                        </div>

                    }


                }



            </div>
        </div>


        <div class="row">
            <div class="col-12">
                @if (Model.ProductGroups != null && Model.ProductGroups.Any())
                {
                    <br />
                    <h5 class="mt-2 text-primary ">Ürün Grupları</h5>



                    <table class="table table-sm table-hover table-striped font-size-2">
                        <tbody>

                            @foreach (var item in Model.ProductGroups)
                            {
                                <tr>
                                    <td width="40%">
                                        @(string.IsNullOrEmpty(item.GroupTitle)  ? item.Group?.Title : item.GroupTitle)
                                    </td>
                                    <td width="60%">
                                        @item.Value
                                    </td>
                                </tr>



                            }
                        </tbody>
                    </table>

                }




                @if (Model.ProductSpecs != null && Model.ProductSpecs.Any())
                {
                    <br />
                    <h5 class="mt-2 text-primary">Ürün Özelikleri</h5>
                    <table class="table table-sm table-hover table-striped font-size-2">
                        <tbody>

                            @foreach (var item in Model.ProductSpecs)
                            {
                                <tr>
                                    <td width="40%">
                                        @item.SpecName
                                    </td>
                                    <td width="60%">
                                        @item.SpecValue
                                    </td>
                                </tr>

                            }
                        </tbody>
                    </table>




                }
            </div>
        </div>
        @if (!string.IsNullOrEmpty(Model.Description?.Html))
        {
            <div class="row mt-3 pt-2 border-top">
                <div class="col-12">
                    <h3>Ürün Açıklaması</h3>
                    @Html.Raw(Model.Description.Html)
                </div>
            </div>
        }
    </div>
</div>


